### Method

# GIRepository Repository get_info

since: 2.80

#### Declaration [src]

    GIBaseInfo*
    gi_repository_get_info (
      GIRepository* repository,
      const char* namespace_,
      unsigned int idx
    )

#### Description [src]

This function returns a particular metadata entry in the given namespace `namespace_`.

The namespace must have already been loaded before calling this function. See `gi_repository_get_n_infos()` to find the maximum number of entries. It is an error to pass an invalid `idx` to this function.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace to inspect.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`idx`

  Type: `unsigned int`

  0-based offset into namespace metadata for entry.

#### Return value

Type: `GIBaseInfo`

`GIBaseInfo` containing metadata.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.